Bug 205150 - [NEW PORT] www/py-goobook: Search your Google contacts from the command-line or Mutt
Summary: [NEW PORT] www/py-goobook: Search your Google contacts from the command-line ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-08 22:52 UTC by Randy Westlund
Modified: 2015-12-22 05:15 UTC (History)
3 users (show)

See Also:


Attachments
py-goobook shar (1.99 KB, text/plain)
2015-12-08 22:52 UTC, Randy Westlund
no flags Details
py-goobook.shar with fixed USES (1.99 KB, text/plain)
2015-12-09 01:30 UTC, Randy Westlund
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Randy Westlund 2015-12-08 22:52:06 UTC
Created attachment 164004 [details]
py-goobook shar

Passes all tests.  Requires security/py-oauth2client to be updated before it can run (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205148).
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-09 01:06:22 UTC
Thanks Randy,

Does this *actually* depend on the lang/python2 symlink (this is what USES=python:2 actually means), or just USES=python:-2.7 ?
Comment 2 Randy Westlund 2015-12-09 01:30:20 UTC
Created attachment 164005 [details]
py-goobook.shar with fixed USES

You're correct, it should be python:-2.7.  I've updated the shar.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-09 01:55:47 UTC
Thank you!
Comment 4 commit-hook freebsd_committer 2015-12-22 05:15:17 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec 22 05:15:09 UTC 2015
New revision: 404215
URL: https://svnweb.freebsd.org/changeset/ports/404215

Log:
  The purpose of GooBook is to make it possible to use your Google Contacts from
  the command-line and from MUAs such as Mutt.  It can be used from Mutt the same
  way as abook.

  WWW: https://gitlab.com/goobook/goobook

  PR:		205150
  Submitted by:	Randy Westlund <rwestlun@gmail.com>
  Approved by:   mat (mentor)
  Differential Revision:  D4631

Changes:
  head/www/Makefile
  head/www/py-goobook/
  head/www/py-goobook/Makefile
  head/www/py-goobook/distinfo
  head/www/py-goobook/pkg-descr